org.apache.http

## Interface HttpConnectionFactory<T extends HttpConnection>

All Known Implementing Classes:
  DefaultBHttpClientConnectionFactory, DefaultBHttpServerConnectionFactory

    public interface HttpConnectionFactory<T extends HttpConnection>

Factory for `HttpConnection` instances.

Since:
  4.3

### Method Summary

Methods
`T` `createConnection(Socket socket)`

### Method Detail

#### createConnection

    T createConnection(Socket socket)
                                              throws IOException

Throws:
  `IOException`